package com.snaprv.proba.probasnaprv;

import android.support.v4.app.Fragment;
import android.support.v4.app.FragmentManager;
import android.support.v4.app.FragmentStatePagerAdapter;
import android.support.v4.view.ViewPager;
import android.support.v7.app.AppCompatActivity;
import android.os.Bundle;
import android.support.v7.widget.RecyclerView;

public class MainActivity extends AppCompatActivity {

    ViewPager tabsPager;
    TabsPGAdapter mAdapter;

    @Override
    protected void onCreate(Bundle savedInstanceState) {
        super.onCreate(savedInstanceState);
        setContentView(R.layout.activity_main);

        mAdapter = new TabsPGAdapter(getSupportFragmentManager());
        tabsPager = findViewById(R.id.tabsPager);
        tabsPager.setAdapter(mAdapter);
//        tabsPager.setCurrentItem(1);
    }

    public static class TabsPGAdapter extends FragmentStatePagerAdapter {
        private static int NUM_ITEMS = 3;

        public TabsPGAdapter(FragmentManager manager) {
            super(manager);
        }

        @Override
        public Fragment getItem(int position) {
            Fragment fragment = null;
            switch (position) {
                case 0:
                    fragment = new SimpleViewPage();
                    break;
                case 1:
                    fragment = new SnapViewPage();
                    break;
                case 2:
                    fragment = new ThirtySimpleViewPage();
                    break;
                default:break;
            }
            return fragment;
        }

        @Override
        public int getCount() {
            return NUM_ITEMS;
        }
    }
}
