package com.snaprv.proba.probasnaprv;

import android.os.Bundle;
import android.support.annotation.NonNull;
import android.support.annotation.Nullable;
import android.support.v4.app.Fragment;
import android.support.v7.widget.LinearLayoutManager;
import android.support.v7.widget.RecyclerView;
import android.view.LayoutInflater;
import android.view.View;
import android.view.ViewGroup;

/**
 * Created by admin on 12/28/17.
 * Example LLC. All rights reserved!
 */
public class SnapViewPage extends Fragment {

    RecyclerView horizontalRV;

    @Nullable
    @Override
    public View onCreateView(@NonNull LayoutInflater inflater, @Nullable ViewGroup container, @Nullable Bundle savedInstanceState) {
        return inflater.inflate(R.layout.snap_page, null, false);
    }

    @Override
    public void onViewCreated(@NonNull View view, @Nullable Bundle savedInstanceState) {
        super.onViewCreated(view, savedInstanceState);

        LinearLayoutManager layoutManager = new LinearLayoutManager(
                getContext(), LinearLayoutManager.HORIZONTAL, false);

        horizontalRV = view.findViewById(R.id.horizontalRV);
        horizontalRV.setLayoutManager(layoutManager);
        horizontalRV.setHasFixedSize(true);
        horizontalRV.setNestedScrollingEnabled(true);
        horizontalRV.setAdapter(new HorizontalRVAdapter(getContext()));
    }
}
